#include "fx.h"
#include "addprjdlg.h"

// AddPrjDlg implementation
FXIMPLEMENT(AddPrjDlg,FXDialogBox,NULL,0)


// Construct a dialog box
AddPrjDlg::AddPrjDlg(FXApp *app): FXDialogBox(app,"Add Project Dialog",
										DECOR_TITLE|DECOR_BORDER,50,50,500,400)
{
   	FXVerticalFrame *contents=new FXVerticalFrame(this,
			FRAME_RAISED|LAYOUT_SIDE_TOP|LAYOUT_FILL_X|LAYOUT_FILL_Y);

	//Input stuff
	FXVerticalFrame *vframe=new FXVerticalFrame(contents,
			LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_Y|LAYOUT_FILL_X);
	new FXLabel(vframe,"Project Name:",0,JUSTIFY_LEFT);
 	name = new FXTextField(vframe,0,NULL,0,FRAME_SUNKEN|FRAME_THICK|
			LAYOUT_FILL_X);
	new FXLabel(vframe,"CVS Repository Path (Relative to CVSROOT):",0,JUSTIFY_LEFT);
 	cvsname = new FXTextField(vframe,0,NULL,0,FRAME_SUNKEN|FRAME_THICK|
			LAYOUT_FILL_X);
	new FXLabel(vframe,"Project Location:",0,JUSTIFY_LEFT);
 	location = new FXTextField(vframe,0,NULL,0,FRAME_SUNKEN|FRAME_THICK|
			LAYOUT_FILL_X);
	new FXLabel(vframe,"Vendor Tag:",0,JUSTIFY_LEFT);
 	vtag = new FXTextField(vframe,0,NULL,0,FRAME_SUNKEN|FRAME_THICK|
			LAYOUT_FILL_X);
	new FXLabel(vframe,"Release Tag:",0,JUSTIFY_LEFT);
 	rtag = new FXTextField(vframe,0,NULL,0,FRAME_SUNKEN|FRAME_THICK|
			LAYOUT_FILL_X);
	new FXLabel(vframe,"Comments:",0,JUSTIFY_LEFT);
 	comments = new FXText(vframe,NULL,0,FRAME_SUNKEN|FRAME_THICK|
			LAYOUT_FILL_X|LAYOUT_FILL_Y);
			
	//OK and Cancel buttons
	FXHorizontalFrame *frame=new FXHorizontalFrame(contents,
			PACK_UNIFORM_WIDTH|LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_X);
	new FXButton(frame,"&Cancel",
			NULL,this,ID_CANCEL,FRAME_RAISED|FRAME_THICK|
			LAYOUT_RIGHT|LAYOUT_SIDE_BOTTOM);
	new FXButton(frame,"&OK",
			NULL,this,ID_ACCEPT,FRAME_RAISED|FRAME_THICK|
			LAYOUT_RIGHT|LAYOUT_SIDE_BOTTOM);

	name->setText("newProject");
	cvsname->setText("newProject");
	vtag->setText("newProject");
	rtag->setText("Start");
	comments->setText("Initial import");
}

