#include "fx.h"
#include "branchdlg.h"

// BranchDialog implementation
FXIMPLEMENT(BranchDialog,FXDialogBox,NULL,0)

// Construct a dialog box
BranchDialog::BranchDialog(FXApp *app): FXDialogBox(app,"Branch Dialog",
										DECOR_TITLE|DECOR_BORDER,50,50,300,150)
{
   	FXVerticalFrame *contents=new FXVerticalFrame(this,
			FRAME_RAISED|LAYOUT_SIDE_TOP|LAYOUT_FILL_X|LAYOUT_FILL_Y);

	//Input stuff
	FXVerticalFrame *vframe=new FXVerticalFrame(contents,
			LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_Y|LAYOUT_FILL_X);
	new FXLabel(vframe,"Revision To Branch From:",0,JUSTIFY_LEFT);
 	revname = new FXTextField(vframe,0,NULL,0,FRAME_SUNKEN|FRAME_THICK|
			LAYOUT_FILL_X);
	new FXLabel(vframe,"Branch Name:",0,JUSTIFY_LEFT);
 	bname = new FXTextField(vframe,0,NULL,0,FRAME_SUNKEN|FRAME_THICK|
			LAYOUT_FILL_X);

	FXHorizontalFrame *frame=new FXHorizontalFrame(contents,
			PACK_UNIFORM_WIDTH|LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_X);
	new FXButton(frame,"&Cancel",
			NULL,this,ID_CANCEL,FRAME_RAISED|FRAME_THICK|
			LAYOUT_RIGHT|LAYOUT_SIDE_BOTTOM);
	new FXButton(frame,"&OK",
			NULL,this,ID_ACCEPT,FRAME_RAISED|FRAME_THICK|
			LAYOUT_RIGHT|LAYOUT_SIDE_BOTTOM);
}

