#include "fx.h"
#include "inputdlg.h"

// InputDialog implementation
FXIMPLEMENT(InputDialog,FXDialogBox,NULL,0)


// Construct a dialog box
InputDialog::InputDialog(FXApp *app): FXDialogBox(app,"Input Dialog",
										DECOR_TITLE|DECOR_BORDER,50,50,500,300)
{
   	FXVerticalFrame *contents=new FXVerticalFrame(this,
			FRAME_RAISED|LAYOUT_SIDE_TOP|LAYOUT_FILL_X|LAYOUT_FILL_Y);

	//input =	new FXTextField(contents,25,this,ID_INPUT,LAYOUT_FILL_COLUMN|
	//		LAYOUT_FILL_X|FRAME_SUNKEN|FRAME_THICK);
	FXHorizontalFrame *textframe=new FXHorizontalFrame(contents,
			FRAME_SUNKEN|FRAME_THICK|LAYOUT_FILL_X|LAYOUT_FILL_Y,
			0,0,0,0, 0,0,0,0);
	input = new FXText(textframe,NULL,0,LAYOUT_FILL_X|LAYOUT_FILL_Y);
	FXHorizontalFrame *frame=new FXHorizontalFrame(contents,
			PACK_UNIFORM_WIDTH|LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_X);
	new FXButton(frame,"&Cancel",
			NULL,this,ID_CANCEL,FRAME_RAISED|FRAME_THICK|
			LAYOUT_RIGHT|LAYOUT_SIDE_BOTTOM);
	new FXButton(frame,"&OK",
			NULL,this,ID_ACCEPT,FRAME_RAISED|FRAME_THICK|
			LAYOUT_RIGHT|LAYOUT_SIDE_BOTTOM);
}

void InputDialog::setTitle(FXString title)
{
	this->handle(this,MKUINT(FXWindow::ID_SETSTRINGVALUE,SEL_COMMAND),(void*)&title);
	input->setFocus();
}
